class_name Blinker extends Container

@export var speed: float:
	set(value):
		animation_player.speed_scale = value
	get:
		return animation_player.speed_scale

@onready var animation_player: AnimationPlayer = $AnimationPlayer


func start() -> void:
	animation_player.play("blink")


func stop() -> void:
	animation_player.stop()
